Bug 832301 - windows 8 32bit can not be installed on qemu-kvm
windows 8 32bit can not be installed on qemu-kvm
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.3
Unspecified Unspecified
urgent Severity urgent
: rc
: ---
Assigned To: Gleb Natapov
Virtualization Bugs
: Reopened, TestBlocker
: 817250 906815 (view as bug list)
Depends On:
Blocks: 907556
  Show dependency treegraph
 
Reported: 2012-06-15 01:43 EDT by Mike Cao
Modified: 2013-02-04 12:32 EST (History)
18 users (show)

See Also:
Fixed In Version: kernel-2.6.32-307.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 907556 (view as bug list)
Environment:
Last Closed: 2012-11-14 07:41:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
win8-32-fail-install (29.35 KB, image/png)
2012-09-13 05:47 EDT, dawu
no flags Details
win8-32-installation-enterprise-stuck (12.41 KB, image/png)
2012-10-10 21:58 EDT, dawu
no flags Details
win8-32-installation-kernel328-stuck (9.62 KB, image/png)
2012-10-10 22:00 EDT, dawu
no flags Details

  None (edit)
Description Mike Cao 2012-06-15 01:43:47 EDT
Description of problem:


Version-Release number of selected component (if applicable):
qemu-kvm-0.12.1.2-2.295.el6.x86_64
2.6.32-278.el6.x86_6

How reproducible:
100%

Steps to Reproduce:
1.Start qemu-kvm to install win8 guests
CLI :/usr/libexec/qemu-kvm -m 2G -smp 1 -boot dc -drive file=bcao-test-win8,if=none,id=drive-ide0-0-0,werror=stop,rerror=stop,cache=none,format=raw,media=disk -device ide-drive,drive=drive-ide0-0-0,id=ide0-0-0 -drive file=Windows8-ReleasePreview-32bit-English.iso,if=none,id=drive-ide0-0-1,werror=stop,rerror=stop,cache=none,format=raw,media=cdrom -device ide-drive,drive=drive-ide0-0-1,id=ide0-0-1 -netdev tap,id=hostnet0,script=/etc/qemu-ifup -device e1000,netdev=hostnet0,mac=00:22:5a:13:31:43,bus=pci.0,addr=0x4,id=net0 -uuid a9321a40-3a94-4bdb-8a1c-edee51ae7530 -vnc :1 -rtc base=localtime,clock=host,driftfix=slew -bios /usr/share/seabios/bios-pm.bin -monitor stdio
  
Actual results:
1.Tried the CLI w/ -cpu cpu64-rhel6 ,Guest stopped at "Error Code :0x0000005D"
2.Tried CLI w/ -cpu host / -cpu Nehalem /-cpu Penryn / -cpu Contoe 
Guest keeps reboot ,and can not come into the isntallation steps.

Expected results:
should install successfully

Additional info:
1.Tried w/ win8 64 bit guests and win server 2012 ,does not hit this issue .
2.In http://msdn.microsoft.com/en-us/library/ms819236.aspx ,it is said that 0x00005D means UNSUPPORTED_PROCESSOR
Comment 1 juzhang 2012-06-15 02:10:12 EDT
FYI
Bug 817250 - [KVM] can't install or boot up 32bit Win8(Beta) guest
Comment 2 Ademar Reis 2012-06-18 17:17:51 EDT

*** This bug has been marked as a duplicate of bug 817250 ***
Comment 3 Mike Cao 2012-08-01 05:44:08 EDT
*** Bug 817250 has been marked as a duplicate of this bug. ***
Comment 8 Ronen Hod 2012-08-26 11:45:41 EDT
In http://msdn.microsoft.com/en-us/library/windows/hardware/hh975398.aspx
It says 
Windows 8 requires that systems must have processors that support NX, and NX must be turned on for important security safeguards to function effectively and avoid potential security vulnerabilities.

Could this be the issue? Ronen.
Comment 9 Mike Cao 2012-08-28 08:19:52 EDT
Talking this issue w/ Gleb on IRC ,and do following tests 

on upstream qemu-kvm + upstream kernel (3.4.0
-cpu  host   : work 
-cpu Nehalem : does not work 

on upstream qemu-kvm + rhel6 kernel (2.6.32-298.el6)
-cpu host    : does not work
-cpu Nehalem : does not work 

on rhel qemu-kvm + rhel6 kernel (2.6.32-298.el6)
-cpu host    : does not work
-cpu Nehalem : does not work
Comment 10 Gleb Natapov 2012-08-29 07:03:19 EDT
Looks like Window 8 needs movdqu emulation.
Comment 11 Gleb Natapov 2012-08-30 04:17:56 EDT
(In reply to comment #10)
> Looks like Window 8 needs movdqu emulation.

Actually no. For some reason on rhel6 kernel Windows 8 tries to execute movdqu without setting OSFXSR in cr4 first and gets #UD.
Comment 12 Gleb Natapov 2012-08-30 08:06:43 EDT
(In reply to comment #11)
> (In reply to comment #10)
> > Looks like Window 8 needs movdqu emulation.
> 
> Actually no. For some reason on rhel6 kernel Windows 8 tries to execute
> movdqu without setting OSFXSR in cr4 first and gets #UD.

Well, Windows does set OSFXSR in cr4 but KVM drops it.
Comment 13 Gleb Natapov 2012-08-30 11:40:47 EDT
(In reply to comment #12)
> (In reply to comment #11)
> > (In reply to comment #10)
> > > Looks like Window 8 needs movdqu emulation.
> > 
> > Actually no. For some reason on rhel6 kernel Windows 8 tries to execute
> > movdqu without setting OSFXSR in cr4 first and gets #UD.
> 
> Well, Windows does set OSFXSR in cr4 but KVM drops it.

Upstream commit fc78f51938e1ea866daa2045851b2e5681371668 fixes it although the commit message has no any indication that it fixes bug.
Comment 18 RHEL Product and Program Management 2012-09-04 13:10:55 EDT
This request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux release.  Product
Management has requested further review of this request by
Red Hat Engineering, for potential inclusion in a Red Hat
Enterprise Linux release for currently deployed products.
This request is not yet committed for inclusion in a release.
Comment 19 Jarod Wilson 2012-09-12 12:48:55 EDT
Patch(es) available on kernel-2.6.32-307.el6
Comment 22 dawu 2012-09-13 04:59:26 EDT
Reproduced this bug on kernel-2.6.32-278.el6.x86_64 and tested on kernel-2.6.32-307.el6 with following steps:

environment:
kernel-2.6.32-307.el6.x86_64
qemu-kvm-0.12.1.2-2.307.el6.x86_64

Steps to test:
1.Start qemu-kvm to install win8 guests
CLI :/usr/libexec/qemu-kvm -cpu host -m 2G -smp 1 -boot dc -drive file=bcao-test-win8,if=none,id=drive-ide0-0-0,werror=stop,rerror=stop,cache=none,format=raw,media=disk -device ide-drive,drive=drive-ide0-0-0,id=ide0-0-0 -drive file=Windows8-ReleasePreview-32bit-English.iso,if=none,id=drive-ide0-0-1,werror=stop,rerror=stop,cache=none,format=raw,media=cdrom -device ide-drive,drive=drive-ide0-0-1,id=ide0-0-1 -netdev tap,id=hostnet0,script=/etc/qemu-ifup -device e1000,netdev=hostnet0,mac=00:22:5a:13:31:43,bus=pci.0,addr=0x4,id=net0 -uuid a9321a40-3a94-4bdb-8a1c-edee51ae7530 -vnc :1 -rtc base=localtime,clock=host,driftfix=slew -bios /usr/share/seabios/bios-pm.bin -monitor stdio


Actual Results:
on version kernel-2.6.32-307.el6.x86_64,tried the CLI w/ -cpu cpu64-rhel6 / -cpu host / -cpu  Penryn,guest stopped at "Error Code :0x0000005D"


Based on above ,this issue haven't fixed yet,reassign this bug.
Comment 23 Gleb Natapov 2012-09-13 05:03:39 EDT
(In reply to comment #22)
> Reproduced this bug on kernel-2.6.32-278.el6.x86_64 and tested on
> kernel-2.6.32-307.el6 with following steps:
> 
> environment:
> kernel-2.6.32-307.el6.x86_64
> qemu-kvm-0.12.1.2-2.307.el6.x86_64
> 
> Steps to test:
> 1.Start qemu-kvm to install win8 guests
> CLI :/usr/libexec/qemu-kvm -cpu host -m 2G -smp 1 -boot dc -drive
> file=bcao-test-win8,if=none,id=drive-ide0-0-0,werror=stop,rerror=stop,
> cache=none,format=raw,media=disk -device
> ide-drive,drive=drive-ide0-0-0,id=ide0-0-0 -drive
> file=Windows8-ReleasePreview-32bit-English.iso,if=none,id=drive-ide0-0-1,
> werror=stop,rerror=stop,cache=none,format=raw,media=cdrom -device
> ide-drive,drive=drive-ide0-0-1,id=ide0-0-1 -netdev
> tap,id=hostnet0,script=/etc/qemu-ifup -device
> e1000,netdev=hostnet0,mac=00:22:5a:13:31:43,bus=pci.0,addr=0x4,id=net0 -uuid
> a9321a40-3a94-4bdb-8a1c-edee51ae7530 -vnc :1 -rtc
> base=localtime,clock=host,driftfix=slew -bios /usr/share/seabios/bios-pm.bin
> -monitor stdio
> 
> 
> Actual Results:
> on version kernel-2.6.32-307.el6.x86_64,tried the CLI w/ -cpu cpu64-rhel6 /
> -cpu host / -cpu  Penryn,guest stopped at "Error Code :0x0000005D"
> 
> 
> Based on above ,this issue haven't fixed yet,reassign this bug.

The bug should be verified only with -cpu host. All other cpu model have problem with separate BZs. You are saying -cpu host does not work? What is your host cpu?
Comment 24 dawu 2012-09-13 05:16:18 EDT
(In reply to comment #23)
> The bug should be verified only with -cpu host. All other cpu model have
> problem with separate BZs. You are saying -cpu host does not work? What is
> your host cpu?

Hi Gleb, 
yes,it does not work with -cpu host,following is the CLI:

/usr/libexec/qemu-kvm -cpu host -m 2G -smp 1 -boot dc -drive file=win8-32,if=none,id=drive-ide0-0-0,werror=stop,rerror=stop,cache=none,format=raw,media=disk -device ide-drive,drive=drive-ide0-0-0,id=ide0-0-0 -drive file=Windows8-ReleasePreview-32bit-English.iso,if=none,id=drive-ide0-0-1,werror=stop,rerror=stop,cache=none,format=raw,media=cdrom -device ide-drive,drive=drive-ide0-0-1,id=ide0-0-1 -netdev tap,id=hostnet0,script=/etc/qemu-ifup0 -device e1000,netdev=hostnet0,mac=00:22:5a:13:31:43,bus=pci.0,addr=0x4,id=net0 -uuid a9321a40-3a94-4bdb-8a1c-edee51ae7530 -vnc :1 -rtc base=localtime,clock=host,driftfix=slew -bios /usr/share/seabios/bios-pm.bin -monitor stdio

for cpu info :

---------------------------------------------------------------------------------
processor	: 3
vendor_id	: GenuineIntel
cpu family	: 6
model		: 23
model name	: Intel(R) Core(TM)2 Quad CPU    Q9400  @ 2.66GHz
stepping	: 10
cpu MHz		: 2660.265
cache size	: 3072 KB
physical id	: 0
siblings	: 4
core id		: 3
cpu cores	: 4
apicid		: 3
initial apicid	: 3
fpu		: yes
fpu_exception	: yes
cpuid level	: 13
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good aperfmperf pni dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 xsave lahf_lm dts tpr_shadow vnmi flexpriority
bogomips	: 5320.53
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:
-------------------------------------------------------------------------------
Comment 25 dawu 2012-09-13 05:45:20 EDT
Also tried with "-cpu Penryn,model=26" and "-cpu Nehalem,model=26", still hit the same issue with error info "Error Code :0x0000005D".

I also tried these two command options on another host with cpu model as "Nehalem", guest failed to install with error info "INACCESSIBLE_BOOT_DEVICE",please refer to the attached pic "win8-32-fail-install.png" for details, for this host, cpu info as following:
---------------------------------------------------------------------------------
processor	: 3
vendor_id	: GenuineIntel
cpu family	: 6
model		: 42
model name	: Intel(R) Core(TM) i5-2400 CPU @ 3.10GHz
stepping	: 7
cpu MHz		: 3093.133
cache size	: 6144 KB
physical id	: 0
siblings	: 4
core id		: 3
cpu cores	: 4
apicid		: 6
initial apicid	: 6
fpu		: yes
fpu_exception	: yes
cpuid level	: 13
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good xtopology nonstop_tsc aperfmperf pni pclmulqdq dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 sse4_2 x2apic popcnt aes xsave avx lahf_lm ida arat epb xsaveopt pln pts dts tpr_shadow vnmi flexpriority ept vpid
bogomips	: 6186.26
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:
--------------------------------------------------------------------------------

Best Regards,
Dawn
Comment 26 dawu 2012-09-13 05:47:12 EDT
Created attachment 612392 [details]
win8-32-fail-install
Comment 27 Gleb Natapov 2012-09-13 05:49:42 EDT
(In reply to comment #25)
> Also tried with "-cpu Penryn,model=26" and "-cpu Nehalem,model=26", still
> hit the same issue with error info "Error Code :0x0000005D".
You can't pretend to be Nehalem on a host older than Nehalem.

> 
> I also tried these two command options on another host with cpu model as
> "Nehalem", guest failed to install with error info
> "INACCESSIBLE_BOOT_DEVICE",please refer to the attached pic
> "win8-32-fail-install.png" for details, for this host, cpu info as following:
Looks like unrelated issue with your setup. Try with your already installed image.
Comment 28 dawu 2012-09-13 06:23:18 EDT
(In reply to comment #27)
> > I also tried these two command options on another host with cpu model as
> > "Nehalem", guest failed to install with error info
> > "INACCESSIBLE_BOOT_DEVICE",please refer to the attached pic
> > "win8-32-fail-install.png" for details, for this host, cpu info as following:
> Looks like unrelated issue with your setup. Try with your already installed
> image.

Hi Gleb,

You mean try start an already installed image for win8-32 with installation CLI? or try start an already installed imge for another guest like win8-64 with the same CLI to confirm if it related with my setup?

Best Regards,
Dawn
Comment 29 Gleb Natapov 2012-09-13 06:25:24 EDT
(In reply to comment #28)
> (In reply to comment #27)
> > > I also tried these two command options on another host with cpu model as
> > > "Nehalem", guest failed to install with error info
> > > "INACCESSIBLE_BOOT_DEVICE",please refer to the attached pic
> > > "win8-32-fail-install.png" for details, for this host, cpu info as following:
> > Looks like unrelated issue with your setup. Try with your already installed
> > image.
> 
> Hi Gleb,
> 
> You mean try start an already installed image for win8-32 with installation
> CLI? or try start an already installed imge for another guest like win8-64
> with the same CLI to confirm if it related with my setup?
> 
I mean take installed image of win8-32 and start it on nehalem with -cpu host. Not installation CLI. Regular one.
Comment 30 dawu 2012-09-14 03:20:08 EDT
(In reply to comment #29)
> (In reply to comment #28)
> > (In reply to comment #27)
> > > > I also tried these two command options on another host with cpu model as
> > > > "Nehalem", guest failed to install with error info
> > > > "INACCESSIBLE_BOOT_DEVICE",please refer to the attached pic
> > > > "win8-32-fail-install.png" for details, for this host, cpu info as following:
> > > Looks like unrelated issue with your setup. Try with your already installed
> > > image.
> > 
> > Hi Gleb,
> > 
> > You mean try start an already installed image for win8-32 with installation
> > CLI? or try start an already installed imge for another guest like win8-64
> > with the same CLI to confirm if it related with my setup?
> > 
> I mean take installed image of win8-32 and start it on nehalem with -cpu
> host. Not installation CLI. Regular one.

Hi Gleb,

Tried with the already installed image of win8-32 and start it on nehalem with -cpu host, still hit the same issue with "Error Code :0x0000005D".

Best Regards,
Dawn
Comment 31 Gleb Natapov 2012-09-14 03:22:36 EDT
(In reply to comment #30)
> (In reply to comment #29)
> > (In reply to comment #28)
> > > (In reply to comment #27)
> > > > > I also tried these two command options on another host with cpu model as
> > > > > "Nehalem", guest failed to install with error info
> > > > > "INACCESSIBLE_BOOT_DEVICE",please refer to the attached pic
> > > > > "win8-32-fail-install.png" for details, for this host, cpu info as following:
> > > > Looks like unrelated issue with your setup. Try with your already installed
> > > > image.
> > > 
> > > Hi Gleb,
> > > 
> > > You mean try start an already installed image for win8-32 with installation
> > > CLI? or try start an already installed imge for another guest like win8-64
> > > with the same CLI to confirm if it related with my setup?
> > > 
> > I mean take installed image of win8-32 and start it on nehalem with -cpu
> > host. Not installation CLI. Regular one.
> 
> Hi Gleb,
> 
> Tried with the already installed image of win8-32 and start it on nehalem
> with -cpu host, still hit the same issue with "Error Code :0x0000005D".
> 
Hmm, this is strange. It works for me. Run linux instead of windows with the same cli and look at output of /cat /cpuinfo.
Comment 32 dawu 2012-09-23 23:04:52 EDT
(In reply to comment #31)
> > Hi Gleb,
> > 
> > Tried with the already installed image of win8-32 and start it on nehalem
> > with -cpu host, still hit the same issue with "Error Code :0x0000005D".
> > 
> Hmm, this is strange. It works for me. Run linux instead of windows with the
> same cli and look at output of /cat /cpuinfo.

Hi Gleb,

I can install linux with the same cli:

/usr/libexec/qemu-kvm -cpu host -m 2G -smp 1 -boot dc -drive file=linux63.raw,if=none,id=drive-ide0-0-0,werror=stop,rerror=stop,cache=none,format=raw,media=disk -device ide-drive,drive=drive-ide0-0-0,id=ide0-0-0 -netdev tap,id=hostnet0,script=/etc/qemu-ifup -device e1000,netdev=hostnet0,mac=00:22:5a:13:86:43,bus=pci.0,addr=0x4,id=net0 -uuid 349e9634-94b1-4f49-addb-9c2c23d38dc5 -vnc :1 -rtc base=localtime,clock=host,driftfix=slew -bios /usr/share/seabios/bios-pm.bin -monitor stdio -drive file=RHEL6.3-20120613.2-Server-x86_64-DVD1.iso,media=cdrom,id=cdrom,if=none -device ide-drive,drive=cdrom,bootindex=1

following is the cpuinfo:

cat /proc/cpuinfo
--------------------------------------------------------------------------------
processor	: 3
vendor_id	: GenuineIntel
cpu family	: 6
model		: 42
model name	: Intel(R) Core(TM) i5-2400 CPU @ 3.10GHz
stepping	: 7
cpu MHz		: 3093.133
cache size	: 6144 KB
physical id	: 0
siblings	: 4
core id		: 3
cpu cores	: 4
apicid		: 6
initial apicid	: 6
fpu		: yes
fpu_exception	: yes
cpuid level	: 13
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good xtopology nonstop_tsc aperfmperf pni pclmulqdq dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 sse4_2 x2apic popcnt aes xsave avx lahf_lm ida arat epb xsaveopt pln pts dts tpr_shadow vnmi flexpriority ept vpid
bogomips	: 6186.26
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:
--------------------------------------------------------------------------------

Best Regards,
Dawn
Comment 33 Gleb Natapov 2012-09-24 02:25:16 EDT
(In reply to comment #32)
>
> following is the cpuinfo:
> 
> cat /proc/cpuinfoa
I need this from the guest not host.

> -----------------------------------------------------------------------------
> ---
> processor	: 3
> vendor_id	: GenuineIntel
> cpu family	: 6
> model		: 42
do you have model 26 to try Window 8 on?
Comment 34 dawu 2012-09-24 02:49:05 EDT
(In reply to comment #33)
> (In reply to comment #32)
> >
> > following is the cpuinfo:
> > 
> > cat /proc/cpuinfoa
> I need this from the guest not host.

guest cpuinfo:
processor	: 0
vendor_id	: GenuineIntel
cpu family	: 6
model		: 42
model name	: Intel(R) Core(TM) i5-2400 CPU @ 3.10GHz
stepping	: 7
cpu MHz		: 3092.972
cache size	: 4096 KB
fpu		: yes
fpu_exception	: yes
cpuid level	: 13
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ss syscall nx lm constant_tsc up arch_perfmon unfair_spinlock pni pclmulqdq ssse3 cx16 sse4_1 sse4_2 x2apic popcnt aes xsave avx hypervisor lahf_lm xsaveopt
bogomips	: 6185.94
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

> 
> > -----------------------------------------------------------------------------
> > ---
> > processor	: 3
> > vendor_id	: GenuineIntel
> > cpu family	: 6
> > model		: 42
> do you have model 26 to try Window 8 on?

I'll try to find this machine and update the result.

Best Regards,
Dawn
Comment 35 dawu 2012-09-24 06:03:04 EDT
(In reply to comment #33) 
> > -----------------------------------------------------------------------------
> > ---
> > processor	: 3
> > vendor_id	: GenuineIntel
> > cpu family	: 6
> > model		: 42
> do you have model 26 to try Window 8 on?

Hi Gleb, 

I have tried start win8-32 on host with model 26, still hit the same issue,I'm not sure if the host satisfied your requirement,please refer to the following details for check:

environment:
kernel-2.6.32-311.el6.x86_64
qemu-kvm-0.12.1.2-2.316.el6.x86_64

host cpuinfo:

processor	: 7
vendor_id	: GenuineIntel
cpu family	: 6
model		: 26
model name	: Intel(R) Core(TM) i7 CPU         920  @ 2.67GHz
stepping	: 4
cpu MHz		: 1600.000
cache size	: 8192 KB
physical id	: 0
siblings	: 8
core id		: 3
cpu cores	: 4
apicid		: 7
initial apicid	: 7
fpu		: yes
fpu_exception	: yes
cpuid level	: 11
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good xtopology nonstop_tsc aperfmperf pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm sse4_1 sse4_2 popcnt lahf_lm ida dts tpr_shadow vnmi flexpriority ept vpid
bogomips	: 5320.54
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:


Start CLI:
/usr/libexec/qemu-kvm -cpu host -m 2G -smp 1 -boot dc -drive file=win8-32.raw,if=none,id=drive-ide0-0-0,werror=stop,rerror=stop,cache=none,format=raw,media=disk -device ide-drive,drive=drive-ide0-0-0,id=ide0-0-0 -netdev tap,id=hostnet0,script=/etc/qemu-ifup0 -device e1000,netdev=hostnet0,mac=00:22:5a:13:31:43,bus=pci.0,addr=0x4,id=net0 -uuid a9321a40-3a94-4bdb-8a1c-edee51ae7530 -vnc :3 -rtc base=localtime,clock=host,driftfix=slew -bios /usr/share/seabios/bios-pm.bin -monitor stdio

Thanks
Best Regards,
Dawn
Comment 36 Gleb Natapov 2012-10-09 09:43:29 EDT
Please add "exec-shield=no" to kernel command line or use kernel with bug 821463 fixed (2.6.32-314.el6.x86_64 or later) and retry.
Comment 37 dawu 2012-10-10 06:31:54 EDT
(In reply to comment #36)
> Please add "exec-shield=no" to kernel command line or use kernel with bug
> 821463 fixed (2.6.32-314.el6.x86_64 or later) and retry.

Hi Gleb,

Tried with add "exec-shield=no" to kernel309, win8-32 guest can start to install, but after reboot from installation, guest is stuck when getting devices ready 65%, please refer to the attachment "win8-32-installation-enterprise-stuck.png".

Also tried with later kernel 2.6.32-328.el6.x86_64, win8-32 guest stuck when begin to start the installation process. Please refer to the attachment of "win8-32-installation-kernel328-stuck.png".

thanks
Best Regards,
Dawn
Comment 38 Gleb Natapov 2012-10-10 06:55:00 EDT
Hi Dawn,

Do not see attachments.
Comment 39 dawu 2012-10-10 21:58:57 EDT
Created attachment 625304 [details]
win8-32-installation-enterprise-stuck

sorry for missing attachment.
Comment 40 dawu 2012-10-10 22:00:11 EDT
Created attachment 625305 [details]
win8-32-installation-kernel328-stuck
Comment 41 Mike Cao 2012-10-10 22:12:07 EDT
(In reply to comment #37)
> (In reply to comment #36)
> > Please add "exec-shield=no" to kernel command line or use kernel with bug
> > 821463 fixed (2.6.32-314.el6.x86_64 or later) and retry.
> 
> Hi Gleb,
> 
> Tried with add "exec-shield=no" to kernel309, win8-32 guest can start to
> install, but after reboot from installation, guest is stuck when getting
> devices ready 65%, please refer to the attachment
> "win8-32-installation-enterprise-stuck.png".

I think this might be a different bug . I also hit this scenario for windows server 2012 yesterday 

Dawu ,pls try to install windows server 2012 on the same host  to see whether it hit the same issue .If it is , close this one and report a new one .

Mike 
> 
> Also tried with later kernel 2.6.32-328.el6.x86_64, win8-32 guest stuck when
> begin to start the installation process. Please refer to the attachment of
> "win8-32-installation-kernel328-stuck.png".
> 
> thanks
> Best Regards,
> Dawn
Comment 42 dawu 2012-10-11 04:37:04 EDT
(In reply to comment #41)
> > 
> > Hi Gleb,
> > 
> > Tried with add "exec-shield=no" to kernel309, win8-32 guest can start to
> > install, but after reboot from installation, guest is stuck when getting
> > devices ready 65%, please refer to the attachment
> > "win8-32-installation-enterprise-stuck.png".
> 
> I think this might be a different bug . I also hit this scenario for windows
> server 2012 yesterday 
> 
> Dawu ,pls try to install windows server 2012 on the same host  to see
> whether it hit the same issue .If it is , close this one and report a new
> one .
> 
> Mike 
Hi Mike,

Tried to install win2012 on the same host,I didn't hit the same issue.

Best Regards,
Dawn
Comment 43 Gleb Natapov 2012-10-11 04:40:18 EDT
I just succesfully installed window8 customer preview with latest rhel kernel. I cannot reproduce the issue you are seeing. How do you know the guest is stuck? What "info status" and "info cpus" show?
Comment 44 dawu 2012-10-11 22:42:58 EDT
(In reply to comment #43)
> I just succesfully installed window8 customer preview with latest rhel
> kernel. I cannot reproduce the issue you are seeing. How do you know the
> guest is stuck? What "info status" and "info cpus" show?

Hi Gleb, 
I also tried install win8-32-enterprise with the fixed build 2.6.32-314.el6.x86_64, also hit the same issue, guest stopped when "Getting devices ready 72%"
(qemu) info cpus 
* CPU #0: pc=0x000000008d7d1823 thread_id=12626 
(qemu) info status
VM status: running

although the VM is still running,but installation process stop and doesn't continue any more.

host environment:
kernel-2.6.32-314.el6.x86_64
qemu-kvm-0.12.1.2-2.321.el6.x86_64

Best Regards,
Dawn
Comment 45 Gleb Natapov 2012-10-12 02:13:00 EDT
(In reply to comment #44)
> (In reply to comment #43)
> > I just succesfully installed window8 customer preview with latest rhel
> > kernel. I cannot reproduce the issue you are seeing. How do you know the
> > guest is stuck? What "info status" and "info cpus" show?
> 
> Hi Gleb, 
> I also tried install win8-32-enterprise with the fixed build
> 2.6.32-314.el6.x86_64, also hit the same issue, guest stopped when "Getting
> devices ready 72%"
> (qemu) info cpus 
> * CPU #0: pc=0x000000008d7d1823 thread_id=12626 
> (qemu) info status
> VM status: running
> 
> although the VM is still running,but installation process stop and doesn't
> continue any more.
How much have you waited?
Comment 46 dawu 2012-10-14 01:33:47 EDT
(In reply to comment #45)
> > Hi Gleb, 
> > I also tried install win8-32-enterprise with the fixed build
> > 2.6.32-314.el6.x86_64, also hit the same issue, guest stopped when "Getting
> > devices ready 72%"
> > (qemu) info cpus 
> > * CPU #0: pc=0x000000008d7d1823 thread_id=12626 
> > (qemu) info status
> > VM status: running
> > 
> > although the VM is still running,but installation process stop and doesn't
> > continue any more.
> How much have you waited?

waited for one days.

Best Regards,
Dawn
Comment 47 Gleb Natapov 2012-10-15 09:00:38 EDT
KVM in kernels from 2.6.32-328 to 2.6.32-331 is broken. Posted fix, hope 2.6.32-332 will include it. Tried with kernel 2.6.32-325 on two machine Nehalem and Westmere. Can Install windows 8 enterprise 32 bit just fine on both.
Comment 49 dawu 2012-10-30 03:54:31 EDT
Reproduce this bug on kernel 2.6.32-331,Verified this bug on fixed build kernel-2.6.32-335.el6 with following steps:

steps:
1. install guest with CLI:
   /usr/libexec/qemu-kvm -cpu host -m 2G -smp 2 -usb -device usb-tablet -drive file=win8-32.raw,format=raw,if=none,id=drive-ide0-0-0,werror=stop,rerror=stop,cache=none -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0 -netdev tap,id=hostnet0,script=/etc/qemu-ifup0 -device e1000,netdev=hostnet0,mac=00:10:16:23:78:06,bus=pci.0,addr=0x4 -uuid 439a0a2a-ae61-48da-b830-2a860a77fa47 -rtc base=localtime -no-kvm-pit-reinjection -monitor stdio -name win8-32 -vnc :1 -drive file=en_windows_8_x86_dvd_915417.iso,media=cdrom,id=cdrom,if=none -device ide-drive,drive=cdrom,bootindex=1

Actual Results:
on build kernel 2.6.32-331,bug reproduced
on build kernel-2.6.32-335.el6, win8-32 guest can be installed successfully.

Based on above,this issue has been fixed.

Thanks for developer's effort
Best Regards,
Dawn
Comment 50 Yongjie Ren 2012-12-06 08:15:35 EST
I'm the original reporter for the 32bit Win8 issue. According to my test result in RHEL6.4 beta, I don't think this bug is completely fixed.

qemu-kvm parameter        result of booting 32bit Win8
"-cpu cpu64-rhel6"           fail
"-cpu SandyBridge"           fail
"-cpu Haswell"               fail
"-cpu host"                  pass

In my testing, 32bit Win8 can't be successfully installed with virt-manager with its default configuration in RHEL6.4.

RPM packages I used:
kernel-2.6.32-343.el6.x86_64
qemu-kvm-0.12.1.2-2.335.el6.x86_64
Comment 51 Mike Cao 2012-12-06 09:43:42 EST
(In reply to comment #50)
> I'm the original reporter for the 32bit Win8 issue. According to my test
> result in RHEL6.4 beta, I don't think this bug is completely fixed.
> 
> qemu-kvm parameter        result of booting 32bit Win8
> "-cpu cpu64-rhel6"           fail
> "-cpu SandyBridge"           fail
> "-cpu Haswell"               fail
> "-cpu host"                  pass
> 
> In my testing, 32bit Win8 can't be successfully installed with virt-manager
> with its default configuration in RHEL6.4.
> 
> RPM packages I used:
> kernel-2.6.32-343.el6.x86_64
> qemu-kvm-0.12.1.2-2.335.el6.x86_64

Hi, Ren

What you report is duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=821741 (or Bug 880090).
Comment 52 Yongjie Ren 2012-12-06 22:34:13 EST
(In reply to comment #51)
> (In reply to comment #50)
> > I'm the original reporter for the 32bit Win8 issue. According to my test
> > result in RHEL6.4 beta, I don't think this bug is completely fixed.
> > 
> > qemu-kvm parameter        result of booting 32bit Win8
> > "-cpu cpu64-rhel6"           fail
> > "-cpu SandyBridge"           fail
> > "-cpu Haswell"               fail
> > "-cpu host"                  pass
> > 
> > In my testing, 32bit Win8 can't be successfully installed with virt-manager
> > with its default configuration in RHEL6.4.
> > 
> > RPM packages I used:
> > kernel-2.6.32-343.el6.x86_64
> > qemu-kvm-0.12.1.2-2.335.el6.x86_64
> 
> Hi, Ren
> 
> What you report is duplicate of
> https://bugzilla.redhat.com/show_bug.cgi?id=821741 (or Bug 880090).

Hi Mike,
thanks. "-cpu <model>,+sep" can be a workaround. I should track bug #821741 .
Comment 53 Dave Allan 2013-02-01 10:47:09 EST
*** Bug 906815 has been marked as a duplicate of this bug. ***
Comment 54 Alves 2013-02-01 11:07:38 EST
I tried to force SEP under the current release of RHEL 6.3,2.6.32-279.19.1.el6.x86_64, Windows 8 32 Bits fails with the same error.
Is there a workaround?
Comment 55 Gleb Natapov 2013-02-01 11:33:06 EST
(In reply to comment #54)
> I tried to force SEP under the current release of RHEL
> 6.3,2.6.32-279.19.1.el6.x86_64, Windows 8 32 Bits fails with the same error.
> Is there a workaround?

With 2.6.32-279 no. You need rhel6.4.
Comment 56 Alves 2013-02-04 01:44:39 EST
Dear Gentlemen, please raise alert. I installed a server with Beta 6.4, and the bug is still there. I tried also forcing NX and SEP, but the same issue. So this is not fixed. I can give access to Redhat engineer to my system via VNC, so he may see the problem.
Should I open a new bug or we may continue here??

If we don't fix KVM, the enterprise is going ignore it.
Comment 57 Mike Cao 2013-02-04 01:53:56 EST
(In reply to comment #56)
> Dear Gentlemen, please raise alert. I installed a server with Beta 6.4, and
> the bug is still there. I tried also forcing NX and SEP, but the same issue.
> So this is not fixed. I can give access to Redhat engineer to my system via
> VNC, so he may see the problem.
> Should I open a new bug or we may continue here??
> 
> If we don't fix KVM, the enterprise is going ignore it.

pls use ps -eaf|grep qemu-kvm to check the qemu-kvm commandline.
if no sep flag in cpu param ,pls add it manually.

eg : /usr/libexec/qemu-kvm  -cpu Nehalem,+sep ...
Comment 58 Mike Cao 2013-02-04 02:01:12 EST
(In reply to comment #56)
> Dear Gentlemen, please raise alert. I installed a server with Beta 6.4, and
> the bug is still there. I tried also forcing NX and SEP, but the same issue.
> So this is not fixed. I can give access to Redhat engineer to my system via
> VNC, so he may see the problem.
> Should I open a new bug or we may continue here??
> 
> If we don't fix KVM, the enterprise is going ignore it.

Can you provide use qemu-kvm(-rhev) & kernel version as well ?
Comment 59 Gleb Natapov 2013-02-04 03:44:25 EST
(In reply to comment #56)
> Dear Gentlemen, please raise alert. I installed a server with Beta 6.4, and
> the bug is still there. I tried also forcing NX and SEP, but the same issue.
> So this is not fixed. I can give access to Redhat engineer to my system via
> VNC, so he may see the problem.
> Should I open a new bug or we may continue here??
> 
> If we don't fix KVM, the enterprise is going ignore it.

We appreciate you concern about KVM enterprise adoption, but you have't provide any information about your environment. What is your qemu/kernel versions and your commadn line?
Comment 60 Alves 2013-02-04 07:58:29 EST
I don't think I made myself clear, but here it goes again. I took a Dell R910 server and installed a new, fresh copy of RHEL 6.4, Beta. The bug remains identical.
This is from /boot/grub/menu.lst

kernel /vmlinuz-2.6.32-343.el6.x86_64 ro root=/dev/mapper/vg_system3-lv_root rd_NO_LUKS rd_LVM_LV=vg_system3/lv_root LANG=en_US.UTF-8 rd_NO_MD rd_LVM_LV=vg_system3/lv_swap SYSFONT=latarcyrheb-sun16  KEYBOARDTYPE=pc KEYTABLE=us rd_NO_DM rhgb quiet

I can give you direct access, if you wish, via VNC, and you will see the problem.
Comment 61 Gleb Natapov 2013-02-04 08:07:44 EST
(In reply to comment #60)
> I don't think I made myself clear, but here it goes again. I took a Dell
> R910 server and installed a new, fresh copy of RHEL 6.4, Beta. The bug
> remains identical.
> This is from /boot/grub/menu.lst
> 
> kernel /vmlinuz-2.6.32-343.el6.x86_64 ro root=/dev/mapper/vg_system3-lv_root
> rd_NO_LUKS rd_LVM_LV=vg_system3/lv_root LANG=en_US.UTF-8 rd_NO_MD
> rd_LVM_LV=vg_system3/lv_swap SYSFONT=latarcyrheb-sun16  KEYBOARDTYPE=pc
> KEYTABLE=us rd_NO_DM rhgb quiet
This answers my question about the kernel version. Now what is your qemu-kvm version and qemu command line. How do you start qemu? How failure looks like?
What is the ouput of /proc/cpuinfo.

> 
> I can give you direct access, if you wish, via VNC, and you will see the
> problem.
I believe we can solve the problem by getting relevant information first.
Comment 62 Alves 2013-02-04 09:08:11 EST
kindly look at this image
http://minixel.com/crash.png

It is this bug. It was never fixed

Everything is my box is default. I use Libvirt. The issue happened in a box with X7350 and Nahalem,X7560. The CPU was defined with "copy host configuration". 
Please look below. I tried with arch="i686" and the "x86_64". Nothing works. Tried forcing SEP and NX, etc. 

<domain type='kvm'>
  <name>Windows-8</name>
  <uuid>478a2330-4bf0-d4d5-08ac-82c328df06e9</uuid>
  <memory unit='KiB'>2097152</memory>
  <currentMemory unit='KiB'>2097152</currentMemory>
  <vcpu placement='static'>2</vcpu>
  <os>
    <type arch='x86_64' machine='rhel6.4.0'>hvm</type>
    <boot dev='hd'/>
  </os>
  <features>
    <acpi/>
    <apic/>
    <pae/>
  </features>
  <cpu mode='custom' match='exact'>
    <model fallback='allow'>Nehalem</model>
    <vendor>Intel</vendor>
    <feature policy='require' name='tm2'/>
    <feature policy='require' name='est'/>
    <feature policy='require' name='monitor'/>
    <feature policy='require' name='ds'/>
    <feature policy='require' name='ss'/>
    <feature policy='require' name='vme'/>
    <feature policy='require' name='dtes64'/>
    <feature policy='require' name='rdtscp'/>
    <feature policy='require' name='ht'/>
    <feature policy='require' name='dca'/>
    <feature policy='require' name='pbe'/>
    <feature policy='require' name='tm'/>
    <feature policy='require' name='pdcm'/>
    <feature policy='require' name='vmx'/>
    <feature policy='require' name='ds_cpl'/>
    <feature policy='require' name='xtpr'/>
    <feature policy='require' name='acpi'/>
    <feature policy='require' name='x2apic'/>
    <feature policy='force' name='sep'/>
    <feature policy='force' name='nx'/>
  </cpu>
  <clock offset='localtime'>
    <timer name='rtc' tickpolicy='catchup'/>
  </clock>
  <on_poweroff>destroy</on_poweroff>
  <on_reboot>restart</on_reboot>
  <on_crash>restart</on_crash>
  <devices>
    <emulator>/usr/libexec/qemu-kvm</emulator>
    <disk type='file' device='disk'>
      <driver name='qemu' type='raw' cache='none'/>
      <source file='/var/lib/libvirt/images/WIN8.img'/>
      <target dev='hda' bus='ide'/>
      <address type='drive' controller='0' bus='0' target='0' unit='0'/>
    </disk>
    <controller type='usb' index='0'>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x01' function='0x2'/>
    </controller>
    <controller type='ide' index='0'>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x01' function='0x1'/>
    </controller>
    <interface type='bridge'>
      <mac address='52:54:00:d1:e4:15'/>
      <source bridge='br5'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x03' function='0x0'/>
    </interface>
    <serial type='pty'>
      <target port='0'/>
    </serial>
    <console type='pty'>
      <target type='serial' port='0'/>
    </console>
    <input type='tablet' bus='usb'/>
    <input type='mouse' bus='ps2'/>
    <graphics type='vnc' port='-1' autoport='yes'/>
    <sound model='ich6'>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x04' function='0x0'/>
    </sound>
    <video>
      <model type='cirrus' vram='9216' heads='1'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x02' function='0x0'/>
    </video>
    <memballoon model='virtio'>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x05' function='0x0'/>
    </memballoon>
  </devices>
</domain>
Comment 63 Mike Cao 2013-02-04 09:45:30 EST
(In reply to comment #62)
> kindly look at this image
> http://minixel.com/crash.png
> 
> It is this bug. It was never fixed
> 
> Everything is my box is default. I use Libvirt. The issue happened in a box
> with X7350 and Nahalem,X7560. The CPU was defined with "copy host
> configuration". 
> Please look below. I tried with arch="i686" and the "x86_64". Nothing works.
> Tried forcing SEP and NX, etc. 
> 
> <domain type='kvm'>
>   <name>Windows-8</name>
>   <uuid>478a2330-4bf0-d4d5-08ac-82c328df06e9</uuid>
>   <memory unit='KiB'>2097152</memory>
>   <currentMemory unit='KiB'>2097152</currentMemory>
>   <vcpu placement='static'>2</vcpu>
>   <os>
>     <type arch='x86_64' machine='rhel6.4.0'>hvm</type>
>     <boot dev='hd'/>
>   </os>
>   <features>
>     <acpi/>
>     <apic/>
>     <pae/>
>   </features>
>   <cpu mode='custom' match='exact'>
>     <model fallback='allow'>Nehalem</model>
>     <vendor>Intel</vendor>
>     <feature policy='require' name='tm2'/>
>     <feature policy='require' name='est'/>
>     <feature policy='require' name='monitor'/>
>     <feature policy='require' name='ds'/>
>     <feature policy='require' name='ss'/>
>     <feature policy='require' name='vme'/>
>     <feature policy='require' name='dtes64'/>
>     <feature policy='require' name='rdtscp'/>
>     <feature policy='require' name='ht'/>
>     <feature policy='require' name='dca'/>
>     <feature policy='require' name='pbe'/>
>     <feature policy='require' name='tm'/>
>     <feature policy='require' name='pdcm'/>
>     <feature policy='require' name='vmx'/>
>     <feature policy='require' name='ds_cpl'/>
>     <feature policy='require' name='xtpr'/>
>     <feature policy='require' name='acpi'/>
>     <feature policy='require' name='x2apic'/>
>     <feature policy='force' name='sep'/>
>     <feature policy='force' name='nx'/>
>   </cpu>
>   <clock offset='localtime'>
>     <timer name='rtc' tickpolicy='catchup'/>
>   </clock>
>   <on_poweroff>destroy</on_poweroff>
>   <on_reboot>restart</on_reboot>
>   <on_crash>restart</on_crash>
>   <devices>
>     <emulator>/usr/libexec/qemu-kvm</emulator>
>     <disk type='file' device='disk'>
>       <driver name='qemu' type='raw' cache='none'/>
>       <source file='/var/lib/libvirt/images/WIN8.img'/>
>       <target dev='hda' bus='ide'/>
>       <address type='drive' controller='0' bus='0' target='0' unit='0'/>
>     </disk>
>     <controller type='usb' index='0'>
>       <address type='pci' domain='0x0000' bus='0x00' slot='0x01'
> function='0x2'/>
>     </controller>
>     <controller type='ide' index='0'>
>       <address type='pci' domain='0x0000' bus='0x00' slot='0x01'
> function='0x1'/>
>     </controller>
>     <interface type='bridge'>
>       <mac address='52:54:00:d1:e4:15'/>
>       <source bridge='br5'/>
>       <address type='pci' domain='0x0000' bus='0x00' slot='0x03'
> function='0x0'/>
>     </interface>
>     <serial type='pty'>
>       <target port='0'/>
>     </serial>
>     <console type='pty'>
>       <target type='serial' port='0'/>
>     </console>
>     <input type='tablet' bus='usb'/>
>     <input type='mouse' bus='ps2'/>
>     <graphics type='vnc' port='-1' autoport='yes'/>
>     <sound model='ich6'>
>       <address type='pci' domain='0x0000' bus='0x00' slot='0x04'
> function='0x0'/>
>     </sound>
>     <video>
>       <model type='cirrus' vram='9216' heads='1'/>
>       <address type='pci' domain='0x0000' bus='0x00' slot='0x02'
> function='0x0'/>
>     </video>
>     <memballoon model='virtio'>
>       <address type='pci' domain='0x0000' bus='0x00' slot='0x05'
> function='0x0'/>
>     </memballoon>
>   </devices>
> </domain>

Again:
1.Pls provide qemu-kvm version by using #rpm -q qemu-kvm
1.Pls provide qemu-kvm commandline instead of libvirt configuration file #ps aux|grep qemu
Comment 64 Alves 2013-02-04 10:01:42 EST
qemu-kvm-0.12.1.2-2.335.el6.x86_64

qemu     66793 85.3  0.1 2520444 372968 ?      Sl   09:59   1:07 /usr/libexec/qemu-kvm -name Windows-8 -S -M rhel6.4.0 -cpu Nehalem,+rdtscp,+x2apic,+dca,+pdcm,+xtpr,+tm2,+est,+vmx,+ds_cpl,+monitor,+dtes64,+pbe,+tm,+ht,+ss,+acpi,+ds,+vme -enable-kvm -m 2048 -smp 2,sockets=2,cores=1,threads=1 -uuid 478a2330-4bf0-d4d5-08ac-82c328df06e9 -nodefconfig -nodefaults -chardev socket,id=charmonitor,path=/var/lib/libvirt/qemu/Windows-8.monitor,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=localtime,driftfix=slew -no-shutdown -device piix3-usb-uhci,id=usb,bus=pci.0,addr=0x1.0x2 -drive file=/var/lib/libvirt/images/WIN8.img,if=none,id=drive-ide0-0-0,format=raw,cache=none -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0,bootindex=1 -netdev tap,fd=26,id=hostnet0 -device rtl8139,netdev=hostnet0,id=net0,mac=52:54:00:d1:e4:15,bus=pci.0,addr=0x3 -chardev pty,id=charserial0 -device isa-serial,chardev=charserial0,id=serial0 -device usb-tablet,id=input0 -vnc 127.0.0.1:0 -vga cirrus -device intel-hda,id=sound0,bus=pci.0,addr=0x4 -device hda-duplex,id=sound0-codec0,bus=sound0.0,cad=0 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x5
Comment 65 Mike Cao 2013-02-04 10:09:37 EST
(In reply to comment #64)
> qemu-kvm-0.12.1.2-2.335.el6.x86_64
> 
> qemu     66793 85.3  0.1 2520444 372968 ?      Sl   09:59   1:07
> /usr/libexec/qemu-kvm -name Windows-8 -S -M rhel6.4.0 -cpu
> Nehalem,+rdtscp,+x2apic,+dca,+pdcm,+xtpr,+tm2,+est,+vmx,+ds_cpl,+monitor,
> +dtes64,+pbe,+tm,+ht,+ss,+acpi,+ds,+vme -enable-kvm -m 2048 -smp

This is the point .no +sep flag in -cpu parmater
Pls start VM with -cpu Nehalem,+sep and try again

> 2,sockets=2,cores=1,threads=1 -uuid 478a2330-4bf0-d4d5-08ac-82c328df06e9
> -nodefconfig -nodefaults -chardev
> socket,id=charmonitor,path=/var/lib/libvirt/qemu/Windows-8.monitor,server,
> nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc
> base=localtime,driftfix=slew -no-shutdown -device
> piix3-usb-uhci,id=usb,bus=pci.0,addr=0x1.0x2 -drive
> file=/var/lib/libvirt/images/WIN8.img,if=none,id=drive-ide0-0-0,format=raw,
> cache=none -device
> ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0,bootindex=1
> -netdev tap,fd=26,id=hostnet0 -device
> rtl8139,netdev=hostnet0,id=net0,mac=52:54:00:d1:e4:15,bus=pci.0,addr=0x3
> -chardev pty,id=charserial0 -device
> isa-serial,chardev=charserial0,id=serial0 -device usb-tablet,id=input0 -vnc
> 127.0.0.1:0 -vga cirrus -device intel-hda,id=sound0,bus=pci.0,addr=0x4
> -device hda-duplex,id=sound0-codec0,bus=sound0.0,cad=0 -device
> virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x5
Comment 66 Alves 2013-02-04 10:59:53 EST
If you look at the XML that I submitted, it shows clearly sep=force. I tried with "require", "model", etc. It does not get translated to the command line. Maybe that is the bug. I use only the interface provided by libvirt, not command lines. 99% of all customers will work the same way. If it cannot be set in the GUI, then it will be abandoned. Kindly indicate a workaround for this issue.
Comment 67 Mike Cao 2013-02-04 12:21:14 EST
(In reply to comment #66)
> If you look at the XML that I submitted, it shows clearly sep=force. I tried
> with "require", "model", etc. It does not get translated to the command
> line. Maybe that is the bug. I use only the interface provided by libvirt,
> not command lines. 99% of all customers will work the same way. If it cannot
> be set in the GUI, then it will be abandoned. Kindly indicate a workaround
> for this issue.

I never use libvirt so that I did not hit your issue .
Since it is a libvirt bug instead of qemu-kvm bug .Let's stop investigation on this bug ,Pls report a bug against libvirt component to make libvirt developer/QE to fix it
Comment 68 Mike Cao 2013-02-04 12:32:42 EST
(In reply to comment #66)
> If you look at the XML that I submitted, it shows clearly sep=force. I tried
> with "require", "model", etc. It does not get translated to the command
> line. Maybe that is the bug. I use only the interface provided by libvirt,
> not command lines. 99% of all customers will work the same way. If it cannot
> be set in the GUI, then it will be abandoned. Kindly indicate a workaround
> for this issue.

Open bug 907556 according to your description .Let's use https://bugzilla.redhat.com/show_bug.cgi?id=907556 to track your issue since it is not a qemu-kvm bug

Note You need to log in before you can comment on or make changes to this bug.